Skip to main content
GET
/
v1
/
teams
/
{team_id}
/
audit-logs
List Audit Logs
curl --request GET \
  --url https://api.dataraven.io/v1/teams/{team_id}/audit-logs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/audit-logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.dataraven.io/v1/teams/{team_id}/audit-logs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "<string>",
      "resource_type": "<string>",
      "actor_type": "<string>",
      "summary": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_name": "<string>",
      "actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "actor_name": "<string>",
      "ip_address": "<string>",
      "user_agent": "<string>",
      "request_id": "<string>",
      "event_metadata": {}
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Query Parameters

resource_type
string | null

Filter by resource type

event_type
string | null

Filter by event type

actor_type
string | null

Filter by actor type

start_date
string<date-time> | null

Filter events from this date (ISO 8601)

end_date
string<date-time> | null

Filter events until this date (ISO 8601)

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:25

Items per page

Required range: 1 <= x <= 250

Response

Successful Response

data
AuditLogResponse · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata in responses.